"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parseMapper(mapper) {
    if (isExternalMapper(mapper)) {
        const [source, type] = mapper.split('#');
        return {
            isExternal: true,
            source,
            type
        };
    }
    return {
        isExternal: false,
        type: mapper
    };
}
exports.parseMapper = parseMapper;
function isExternalMapper(value) {
    return value.includes('#');
}
exports.isExternalMapper = isExternalMapper;
function transformMappers(rawMappers) {
    const result = {};
    Object.keys(rawMappers).forEach(gqlTypeName => {
        const mapperDef = rawMappers[gqlTypeName];
        const parsedMapper = parseMapper(mapperDef);
        result[gqlTypeName] = parsedMapper;
    });
    return result;
}
exports.transformMappers = transformMappers;
//# sourceMappingURL=mappers.js.map